[![DOI](https://zenodo.org/badge/74060190.svg)](https://zenodo.org/badge/latestdoi/74060190)

Radar Software Toolkit
========
The Radar Software Toolkit (RST) is maintained by the SuperDARN Data Analysis Working Group (DAWG). For general information and updates from the DAWG, visit our website at https://superdarn.github.io/dawg/

## Documentation
RST's documentation is currently hosted on two sites:
- RST readthedocs includes the installation guide, RST Tutorials, and SuperDARN data formats (coming soon):
  https://radar-software-toolkit-rst.readthedocs.io/en/latest/
- RST API documentation includes the software structure and binary command line description and options: 
  https://superdarn.github.io/rst/

## Installation

Installation guide for:
  - [Linux](https://radar-software-toolkit-rst.readthedocs.io/en/latest/user_guide/linux_install/)
  - [MacOSX](https://radar-software-toolkit-rst.readthedocs.io/en/latest/user_guide/mac_install/)
  - <font color="grey">Windows </font> yet to be implemented
  
## Contribute to RST
The DAWG welcomes new testers and developers to join the team. Here are some ways to contribute:

  - Test pull requests: to determine which [pull requests](https://github.com/SuperDARN/rst/pulls) need to be tested right away, filter them by their milestones
  - Get involved in projects: the [projects](https://github.com/SuperDARN/rst/projects) page is used to organize our priority areas. Each project board shows items which are in progress, ready for testing/review, and completed.
 - Discuss [issues](https://github.com/SuperDARN/rst/issues) and answer questions
 - Become a developer: if you would like to contribute code to RST, please contact us at darn-dawg *at* isee *dot* nagoya-u *dot* ac *dot* jp or submit a new [issue](https://github.com/SuperDARN/rst/issues) on Github.

## Historical Version Log

- 3.3   -  Final bug fixes and updates of the 3.x series (Aug 2011)
- 3.2   -  First release with DLM support (Nov 2010)
- 3.1   -  First release of ROS 3 (Jun 2010)
- 2.11  -  added support for I&Q sample analysis (Mar 2008)
- 2.10  -  bug fixes to the fitacfex library and rnk hardware.dat (May 2007)
- 2.09  -  fixed known errors in the documentation - gold release (Mar 2007)
- 2.08  -  further bug fixes, fitacfex and documentation system
           included. (Mar 2007)
- 2.07  -  introduced fitacf version 2.0 and numerous bug fixes (Feb 2007)
- 2.06  -  introduction of the origin flag and the beam azimuth parameter
           together with numerous bug fixes (Aug 2006)
- 2.05  -  modification to deal with arbitrary numbers of radar beams (Mar 2006)
- 2.04  -  bug fixes from the deployment of the Radar Operating System (Feb 2006)
- 2.03  -  added ksh enviroment as an option plus more bug fixes (Sep 2005)
- 2.02  -  more bug fixes and more XML documentation completed. (Aug 2005)
- 2.01  -  various bug fixes and improvements to the IDL libraries (Jul 2005)
- 2.00  -  code adopted as official release. (Apr 2005)
- 1.07  -  numerous bug fixes. (Apr 2005)
- 1.06  -  completed IDL interfaces for grid and map data, incorporated help
           and error messages derived from XML documentation. (Nov 2004)
- 1.05  -  adopted the DataMap format for grid and map data, incorporated
           outline documentation and fixed a lot of bugs. (Oct 2004)
- 1.04  -  general bug fixes, addition of Mac OS X support (Aug 2004)
- 1.03  -  implemented the legacy IDL interfaces and incorporated the
           data tables into this release (Aug 2004)
- 1.02  -  incorporated the IDL interfaces and fixed a lot of bugs (Aug 2004)
- 1.01  -  initial revision of the code. (Jul 2004)
