/* make_hmb.c
   ========== 
   Author: R.J.Barnes
*/


/*
 LICENSE AND DISCLAIMER
 
 Copyright (c) 2012 The Johns Hopkins University/Applied Physics Laboratory
 
 This file is part of the Radar Software Toolkit (RST).
 
 RST is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 any later version.
 
 RST is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.
 
 You should have received a copy of the GNU Lesser General Public License
 along with RST.  If not, see <http://www.gnu.org/licenses/>.
 
 
 
*/


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <sys/types.h>
#include "rtypes.h"
#include "rfile.h"
#include "griddata.h"
#include "cnvmap.h"
#include "polygon.h"




struct PolygonData *make_hmb(struct CnvMapData *map) {
  int i;
  float pnt[2];
  struct PolygonData *ptr;

  ptr=PolygonMake(sizeof(float)*2,NULL);
  PolygonAddPolygon(ptr,1);
           
  for (i=0;i<map->num_bnd;i++) {
    pnt[0]=map->bnd_lat[i];
    pnt[1]=map->bnd_lon[i];
    PolygonAdd(ptr,pnt);
  }
  return ptr;
}




