/* oldfitidl.h
   =========== 
   Author: R.J.Barnes
*/

/*
 LICENSE AND DISCLAIMER
 
 Copyright (c) 2012 The Johns Hopkins University/Applied Physics Laboratory
 
 This file is part of the Radar Software Toolkit (RST).
 
 RST is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 any later version.
 
 RST is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.
 
 You should have received a copy of the GNU Lesser General Public License
 along with RST.  If not, see <http://www.gnu.org/licenses/>.
 
 
 
*/



#ifndef _OLDFITIDL_H
#define _OLDFITIDL_H
 
struct OldFitIDLFp {
  int32 fitunit;
  int32 inxunit;
  int32 fit_recl;
  int32 inx_recl;
  int32 blen;
  int32 inx_srec;
  int32 inx_erec;
  double ctime;
  double stime;
  double etime;
  int32 time;
  char header[80];
  char date[32];
  char extra[256];
  char major_rev;
  char minor_rev;  

  /* The actual IDL structure has an integer for the next member */

  int (*fitread)(struct OldFitFp *ptr,struct RadarParm *prm,
                 struct FitData *fit);

};

#endif
